Rails 6: Pass `case_sensitive: true` option explicitly to the uniqueness validator

2020-01-27 23:07 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Rails 6 displays deprecation warning for uniqueness validator:

DEPRECATION WARNING: Uniqueness validator will no longer enforce case sensitive comparison in Rail

s 6.1. To continue case sensitive comparison on the :identifier attribute in Project model, pass `

case_sensitive: true` option explicitly to the uniqueness validator. 

 https://github.com/rails/rails/pull/35350

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 19478 - 2020-01-28 10:49 - Go MAEDA

Fix 'DEPRECATION WARNING: Uniqueness validator will no longer enforce case sensitive comparison in Rails 6.1.' (#32897).

Patch by Marius BALTEANU.

Revision 19479 - 2020-01-30 06:27 - Go MAEDA

Reverts r19478 (#32897).

Revision 20880 - 2021-04-01 16:32 - Go MAEDA

DEPRECATION WARNING: Uniqueness validator will no longer enforce case sensitive comparison in Rails 6.1. (#29914, #32897).

Patch by Marius BALTEANU.

History

#1 - 2020-01-27 23:07 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2020-01-28 10:19 - Marius BĂLTEANU

- File 0001-Fix-DEPRECATION-WARNING-Uniqueness-validator-will-no.patch added

Tests results here.

#3 - 2020-01-28 10:49 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#4 - 2020-01-28 10:55 - Marius BĂLTEANU

- Status changed from Closed to Reopened

Sorry, I've attached a broken patch, please revert it and will post later the correct one.

2025-05-02 1/2

https://github.com/rails/rails/pull/35350
https://gitlab.com/redmine-org/redmine/pipelines/112841765


#5 - 2020-01-28 22:36 - Marius BĂLTEANU

- File 0001-Fix-DEPRECATION-WARNING-Uniqueness-validator-will-no.patch added

Here is the correct patch, please revert r19478 and commit this one.

#6 - 2020-01-30 06:27 - Go MAEDA

Marius BALTEANU wrote:

Sorry, I've attached a broken patch, please revert it and will post later the correct one.

 Done.

#7 - 2020-01-30 08:16 - Marius BĂLTEANU

Go MAEDA wrote:

Marius BALTEANU wrote:

Sorry, I've attached a broken patch, please revert it and will post later the correct one.

 Done.

 Thanks, patch from #note-5 is the correct one, you can commit it.

#8 - 2020-01-30 08:17 - Marius BĂLTEANU

- File deleted (0001-Fix-DEPRECATION-WARNING-Uniqueness-validator-will-no.patch)

#9 - 2021-03-18 20:12 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0

We can fix this in 5.0.0.

#10 - 2021-03-28 19:55 - Marius BĂLTEANU

Go MAEDA, is anything I can do to have this change committed?

#11 - 2021-03-30 18:30 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#12 - 2021-03-31 08:24 - Marius BĂLTEANU

- Target version deleted (5.0.0)

#13 - 2021-04-01 16:35 - Go MAEDA

- Status changed from Reopened to Closed

- Resolution set to Fixed

Committed as a part of #29914.

Files

0001-Fix-DEPRECATION-WARNING-Uniqueness-validator-will-no.patch10.6 KB 2020-01-28 Marius BĂLTEANU
